# 
#   ______                           __        ____    _      __  __     
#  / ___(_)__ ___ _  ___  ___ ____  / /__     / __/___(_)_ __/ /_/ /____ 
# / (_ / / _ `/  ' \/ _ \/ _ `/ _ \/ / _ \   _\ \/ __/ / // / __/ __/ _ \
# \___/_/\_,_/_/_/_/ .__/\_,_/\___/_/\___/  /___/\__/_/\_,_/\__/\__/\___/
#                 /_/                                                   
# http://www.giampaolo-sciutto.it/

# Name Script : Exporting_users_from_groups.ps1
# Descrizione : 
# 
# Versione    : 1.0
# Requisiti   : Import-Module ActiveDirectory
# Piattaforme Verificate : Windows 2012/2008 r2
#
# Modify by Giampaolo Sciutto
# Date Modify: 07/08/2017
#



### Sostituire la voce 'OU=Gruppi,DC=GS,DC=local' sotto con il distinguishedName preferito mantenendo le virgolette

Import-Module ActiveDirectory
$groups = Get-ADGroup -Filter * -SearchBase 'OU=Gruppi,DC=GS,DC=local'
$groups |Select-Object @{Expression={$_.Name};Label='Group Name'},@{Expression={@(Get-ADGroupMember -Identity $_|Select -Expand Name) -join ';'};Label='Name'} | Export-CSV C:\Script\Risultati.CSV -NoTypeInformation -append

### il risultato in .CSV viene creato di default qui: C:\Script\Risultati.CSV